MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026958Community[OCCT] OCCT:Visualizationpublic2015-12-07 10:492017-07-20 11:33
ReporterVico Liang 
Assigned Tokgv 
PrioritylowSeverityfeature 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0026958: Visualization - Extend Grid visualization to fill the whole view automatically
DescriptionOCCT provides the capability to create two kinds of grids: CircularGrid and RectangularGrid. To create a grid, user have to specify the cell size and the grid extent. In most situation, user expects the grid to extend to fill the whole view automatically expecially after the camera zooming, rotation, and panning.
TagsNo tags attached.
Test case number
Attached Filespng file icon 3D Builder.png (65,696 bytes) 2016-11-30 12:32

- Relationships
related to 0026154newkgv Open CASCADE Visualization - v3d viewer grid disappears due to automatic z-fit 
related to 0028405closedbugmaster Community Visualization, V3d_Viewer - changes to Grid immediately updates view 

-  Notes
(0048776)
Vico Liang (developer)
2015-12-07 11:40

Dear kgv,

Is it possible to extend grid to fill the whole view outside occt visualization framework? I have tried to set a very huge extent, but it suffers performance issue. Do you have any good idea to implement this feature with high performance?
(0048778)
kgv (developer)
2015-12-07 11:56

Dear Vico,

current implementation defines fixed presentation - object contains fixed number of lines, which means that all lines are resident in memory and should be computed at once. Making grid step too small in such a way would make its presentation extremely large and expensive.

So instead, scalable grid presentation should rely on another mechanism - adaptive number of lines visible in viewer (depending on camera position) and adaptive step (e.g. to vary step depending on lines density).
(0048783)
Vico Liang (developer)
2015-12-07 12:28

Dear kgv,

Scalable grid presentation should be a nice feature. I see most of the applications have the grid with adaptive number of lines and adaptive step. When i try to use occt embeded grid, i find it's very hard to accomplish such feature. So i think OCCT should improve its internal GRID presentation.
(0048909)
kgv (developer)
2015-12-09 14:53
edited on: 2015-12-09 14:53

> Scalable grid presentation should be a nice feature.
I have to agree, however most OCCT-based applications I have seen do not use grid at all - this is why this functionality has not been evolved in OCCT for a long time.

Some projects define own OCCT OpenGl_Element for 2D grid (in case of 2D view implementation is more or less straight-forward).

(0049069)
Vico Liang (developer)
2015-12-12 13:48

Grid is essential in most CAD application. There will be more and more applications to adopt OCCT visualization package if these feature are avaiable and convinient to use.
(0060876)
Vico Liang (developer)
2016-11-30 07:21

Dear kgv,

Could you raise the priority of this issue about grid? Do you have solution about the implementation this feature? It must be a cool feature of OCCT visulization. I'm sure many applications need it. Or at least would you please give some thought about how to implement it base on OCCT visulization framework?
Thanks
(0060893)
Timo (developer)
2016-11-30 12:31
edited on: 2016-11-30 12:37

Interesting would maybe also be a chessboard grid design like in the 3D Builder app of Windows 10. See appended image.

In any case it would be good that an adaptive grid changes its step when zooming e.g. in powers of 10, so that it can help to get an idea of the size of shapes.

(0062113)
Vico Liang (developer)
2016-12-26 12:02

Is there any idea to implement an adaptive grid in OCCT visulization framework?

- Issue History
Date Modified Username Field Change
2015-12-07 10:49 Vico Liang New Issue
2015-12-07 10:49 Vico Liang Assigned To => kgv
2015-12-07 11:40 Vico Liang Note Added: 0048776
2015-12-07 11:45 Vico Liang Summary Extend Grid visualization to fill the whole view automalically => Extend Grid visualization to fill the whole view automatically
2015-12-07 11:56 kgv Note Added: 0048778
2015-12-07 12:28 Vico Liang Note Added: 0048783
2015-12-09 14:53 kgv Note Added: 0048909
2015-12-09 14:53 kgv Priority normal => low
2015-12-09 14:53 kgv Target Version 7.0.0 => 7.1.0
2015-12-09 14:53 kgv Note Edited: 0048909 View Revisions
2015-12-09 14:53 kgv Note Edited: 0048909 View Revisions
2015-12-12 13:48 Vico Liang Note Added: 0049069
2016-06-16 21:58 kgv Relationship added related to 0026154
2016-10-25 09:36 kgv Target Version 7.1.0 => 7.2.0
2016-11-30 07:21 Vico Liang Note Added: 0060876
2016-11-30 12:31 Timo Note Added: 0060893
2016-11-30 12:32 Timo File Added: 3D Builder.png
2016-11-30 12:37 Timo Note Edited: 0060893 View Revisions
2016-12-26 12:02 Vico Liang Note Added: 0062113
2017-01-30 11:21 kgv Relationship added related to 0028405
2017-07-10 11:36 kgv Summary Extend Grid visualization to fill the whole view automatically => Visualization - Extend Grid visualization to fill the whole view automatically
2017-07-20 11:33 kgv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker